slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosSetRestart

Sets the restart parameter for the thick-restart Lanczos method, in particular the proportion of basis vectors that must be kept after restart.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetRestart(SVD svd,PetscReal keep)

Logically Collective

### Input Parameters

| svd | - the singular value solver
| keep | - the number of vectors to be kept at restart

### Options Database Key

| -svd_trlanczos_restart | - Sets the restart parameter

### Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5.

### See Also

SVDTRLanczosGetRestart()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages